### Signal

# Gtk AppChooserWidget::application-activated

since: 4.0

#### Declaration

    void
    application_activated (
      GtkAppChooserWidget* self,
      GAppInfo* application,
      gpointer user_data
    )

#### Description [src]

Emitted when an application item is activated from the widget’s list.

This usually happens when the user double clicks an item, or an item is selected and the user presses one of the keys Space, Shift+Space, Return or Enter.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`application`

  Type: `GAppInfo`

  The activated `GAppInfo`

  The data is owned by the caller of the function.